Apache, php et les autres sous X 10.1

Titanium31

Membre confirmé
8 Avril 2001
109
0
Apres réinstall, complete, de l'OS X 10.1 afin de bénéficier d'une partition wap, je viens de m'apercevoir, qu'il m'est désormais impossible de compiler Apache 1.3.20, j'obtiens en fin de make :
/usr/bin/ld: -undefined error must be used when -twolevel_namespace is in effect
make[4]: *** [mod_vhost_alias.so] Erreur 1
make[3]: *** [all] Erreur 1
make[2]: *** [subdirs] Erreur 1
make[1]: *** [build-std] Erreur 2
make: *** [build] Erreur 2
./configure ne sort pas d'erreur, qqn a eu le meme pbm ???

Daniel
confused.gif
 

[MGZ]Toine

Membre d’élite
Club MacG
4 Décembre 2000
3 363
5
www.macgamezone.Com
EUh la version de APache installé par défaut dans OsX.1 est la 1.3.20... donc voilà, t'es pas obligé de la revcompiler, sion je ne sait pas d'ou vient le problème..


Mais ce message auraitplus lien dans la section Unix ....
rolleyes.gif
 

Titanium31

Membre confirmé
8 Avril 2001
109
0
et php il est installé ???
j'obtiens :
/usr/bin/ld: -undefined error must be used when -twolevel_namespace is in effect
make[1]: *** [libphp4.la] Erreur 1
make: *** [all-recursive] Erreur 1
lors du make ?????

je pense qu'il y a un pbm avec "-twolevel_namespace is in effect"
Daniel
 

Titanium31

Membre confirmé
8 Avril 2001
109
0
Je l'avais fait mùais IE me repond quèil ne connait pas les extensions php et télécharge le fichier c'est tout ...
ceci dit j'ai décommenté les lignes AddType dans httpd.conf
alors ????

Daniel
 

[MGZ]Toine

Membre d’élite
Club MacG
4 Décembre 2000
3 363
5
www.macgamezone.Com
IL y a 4 lignes à décommenté...

à la ligne 241 (normalement...):
LoadModule php4_module libexec/httpd/libphp4.so

à la ligne 283 (normalement...):
AddModule mod_php4.c

Au ligne 845 et 846 :

AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .phps

et aussi, tu peux mettre :

aux lignes 444 :

<IfModule mod_dir.c>
DirectoryIndex index.php index.html
</IfModule>